Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1147

Overwhelming error dialogs
January 06, 2022 23:28 - Wahb Stellar

Status: Closed Start date: January 06, 2022
Priority: Trivial Due date:

Assignee: % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.2

Affects version: 41

Description

| use an external hard drive to store most of my music. This hard disk isn't set to automount, so if | open Audacious and haven't
mounted the drive | get 10 errors instantly that stop me from doing anything until | have mashed space 10 times (and if you hit 11 you
open 10 more errors as it tries to load 10 more songs it can't find).

A few solutions | could think of are to compile all subsequent errors into a single dialog like what Foobar2000 does. If that isn't
possible even an option to disable errors altogether would work well for me, | could not find anything like this in settings. Or perhaps
being able to configure the amount of songs it will skip before stopping, like 3 instead of 10, which would just make the issue more
manageable

History

#1 - January 08, 2022 01:51 - John Lindgren

We have some logic to handle this in the legacy GTK interface. It just needs to be ported to Qt.

#2 - January 08, 2022 03:06 - John Lindgren
- File errors.png added

Fixed by https://github.com/audacious-media-player/audacious-plugins/commit/94453feaeb610043ae9f6a36bc4 7c7e49b0d4563.

Screenshot of what it looks like now attached (I can't get the image to embed for some reason).

#3 - January 08, 2022 03:11 - John Lindgren
- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to plugins/qtui

- Tracker changed from Feature to Bug

#4 - February 05, 2022 22:22 - John Lindgren

- Target version set to 4.2

Files
Screenshot_2022-01-06_16-55-35.png 103 KB January 06, 2022 Wahb Stellar
errors.png 114 KB January 08, 2022 John Lindgren
